PtexTexture::Info Struct Reference

Get most commonly used info in a single call for convenience / efficiency. More...

`#include <Ptexture.h>`

## Public Attributes

MeshType | meshType
DataType | dataType
BorderMode | uBorderMode
BorderMode | vBorderMode
EdgeFilterMode | edgeFilterMode
int | alphaChannel
int | numChannels
int | numFaces

## Detailed Description

Get most commonly used info in a single call for convenience / efficiency.

Definition at line 486 of file Ptexture.h.

## Member Data Documentation

## alphaChannel

int PtexTexture::Info::alphaChannel

Definition at line 492 of file Ptexture.h.

Referenced by PtexReader::getInfo().

## dataType

DataType PtexTexture::Info::dataType

Definition at line 488 of file Ptexture.h.

Referenced by PtexReader::getInfo().

## edgeFilterMode

EdgeFilterMode PtexTexture::Info::edgeFilterMode

Definition at line 491 of file Ptexture.h.

Referenced by PtexReader::getInfo().

## meshType

MeshType PtexTexture::Info::meshType

Definition at line 487 of file Ptexture.h.

Referenced by PtexReader::getInfo().

## numChannels

int PtexTexture::Info::numChannels

Definition at line 493 of file Ptexture.h.

Referenced by PtexReader::getInfo().

## numFaces

int PtexTexture::Info::numFaces

Definition at line 494 of file Ptexture.h.

Referenced by PtexReader::getInfo().

## uBorderMode

BorderMode PtexTexture::Info::uBorderMode

Definition at line 489 of file Ptexture.h.

Referenced by PtexReader::getInfo().

## vBorderMode

BorderMode PtexTexture::Info::vBorderMode

Definition at line 490 of file Ptexture.h.

Referenced by PtexReader::getInfo().

The documentation for this struct was generated from the following file:

- Ptexture.h